import request from '@/utils/request'

// 专利列表
export function patentList(data) {
	return request({
		url: '/admin/v1/technology/patent',
		method: 'post',
		data,
	})
}
// 专利信息添加
export function patentAdd(data) {
	return request({
		url: '/admin/v1/technology/patent/add',
		method: 'post',
		data,
	})
}
// 专利信息详情
export function patentDetail(data) {
	return request({
		url: '/admin/v1/technology/patent/detail',
		method: 'post',
		data,
	})
}
// 专利信息修改
export function patentEdit(data) {
	return request({
		url: '/admin/v1/technology/patent/edit',
		method: 'post',
		data,
	})
}
// 专利信息删除
export function patentDelete(data) {
	return request({
		url: '/admin/v1/technology/patent/delete',
		method: 'post',
		data,
	})
}
// 专利上下架... 不用了
export function patentShelf(data) {
	return request({
		url: '/admin/v1/technology/patent/shelf',
		method: 'post',
		data,
	})
}
// 认领专利列表
export function expertPatent(data) {
	return request({
		url: '/admin/v1/manage/expert/patent',
		method: 'post',
		data,
	})
}
// 认领
export function expertPatentBind(data) {
	return request({
		url: '/admin/v1/manage/expert/patent/bind',
		method: 'post',
		data,
	})
}
// 取消认领
export function expertPatentUnbind(data) {
	return request({
		url: '/admin/v1/manage/expert/patent/unbind',
		method: 'post',
		data,
	})
}
